> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/material-translations.md).

# Material translations

## Get material\_translations

> This api is used to sync translations for material with WorkorderApp.  \
> Each material translation record contains the following data:\
> \
> \| Parameter | Description | Type (size) |\
> \| --- | --- | --- |\
> \| reference\_key | Unique code (material code in OutSmart) | Varchar (30) |\
> \| original | Original name of the material | Text (max length: 64kB) |\
> \| translation | Translated description for the material | Text (max length: 64kB) |\
> \| language | Lowercase code which represents the language of the translation | Varchar (5) |\
> \
> \| Language | Code |\
> \| --- | --- |\
> \| English | en |\
> \| German | de |\
> \| Dutch | nl |\
> \| Portugese | pt |\
> \| French | fr |\
> \| Spanish | es |\
> \| Portugese - Brasil | pt-br |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_translations/":{"get":{"summary":"Get material_translations","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"utc-millisec"},"reference_key":{"type":"string"},"original":{"type":"string"},"translation":{"type":"string"},"language":{"type":"string"}}}}}}}}}},"tags":["Material translations"],"description":"This api is used to sync translations for material with WorkorderApp.  \nEach material translation record contains the following data:\n\n| Parameter | Description | Type (size) |\n| --- | --- | --- |\n| reference_key | Unique code (material code in OutSmart) | Varchar (30) |\n| original | Original name of the material | Text (max length: 64kB) |\n| translation | Translated description for the material | Text (max length: 64kB) |\n| language | Lowercase code which represents the language of the translation | Varchar (5) |\n\n| Language | Code |\n| --- | --- |\n| English | en |\n| German | de |\n| Dutch | nl |\n| Portugese | pt |\n| French | fr |\n| Spanish | es |\n| Portugese - Brasil | pt-br |"}}}}
```

## Add material\_translations

> This api is used to sync translations for material with WorkorderApp.  \
> Each material translation record can contain the following data:\
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| reference\_key | Unique code (material code in OutSmart) | Y | Varchar (30) |\
> \| original | Original name of the material | Y | Text (max length: 64kB) |\
> \| translation | Translated description for the material | Y | Text (max length: 64kB) |\
> \| language | Lowercase code which represents the language of the translation | Y | Varchar (5) |\
> \
> \| Language | Code |\
> \| --- | --- |\
> \| English | en |\
> \| German | de |\
> \| Dutch | nl |\
> \| Portugese | pt |\
> \| French | fr |\
> \| Spanish | es |\
> \| Portugese - Brasil | pt-br |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_translations/":{"post":{"summary":"Add material_translations","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"integer"}}}}}}},"tags":["Material translations"],"description":"This api is used to sync translations for material with WorkorderApp.  \nEach material translation record can contain the following data:\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| reference_key | Unique code (material code in OutSmart) | Y | Varchar (30) |\n| original | Original name of the material | Y | Text (max length: 64kB) |\n| translation | Translated description for the material | Y | Text (max length: 64kB) |\n| language | Lowercase code which represents the language of the translation | Y | Varchar (5) |\n\n| Language | Code |\n| --- | --- |\n| English | en |\n| German | de |\n| Dutch | nl |\n| Portugese | pt |\n| French | fr |\n| Spanish | es |\n| Portugese - Brasil | pt-br |"}}}}
```

## Delete material\_translations by id

> This api is used to delete translations for materials within OutSmart.\
> \
> Deleting translations can also be done by \[providing the material code and language code]\(<https://documenter.getpostman.com/view/3100119/UVRDG5v7#6268057b-13a7-44a0-84c6-577a8372fe70).\\>
> \
> Records can be deleted by providing a list of ids which can be retrieved through "\[GET material\_translations]\(<https://documenter.getpostman.com/view/3100119/UVRDG5v7#e76347cc-47e9-4dbf-ad5b-92a0dedc0d67)".\\>
> \
> \| Parameter | Description | Required | Type (size) |\
> \| --- | --- | --- | --- |\
> \| ids | A list of ids to be deleted | Y | array |\
> \
> Supported from OutSmart Backoffice v6.0.0

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/material_translations/":{"delete":{"summary":"Delete material_translations by id","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Response_200","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array","items":{"type":"string","format":"style"}},"response":{"type":"null"}}}}}}},"tags":["Material translations"],"description":"This api is used to delete translations for materials within OutSmart.\n\nDeleting translations can also be done by [providing the material code and language code](https://documenter.getpostman.com/view/3100119/UVRDG5v7#6268057b-13a7-44a0-84c6-577a8372fe70).\n\nRecords can be deleted by providing a list of ids which can be retrieved through \"[GET material_translations](https://documenter.getpostman.com/view/3100119/UVRDG5v7#e76347cc-47e9-4dbf-ad5b-92a0dedc0d67)\".\n\n| Parameter | Description | Required | Type (size) |\n| --- | --- | --- | --- |\n| ids | A list of ids to be deleted | Y | array |\n\nSupported from OutSmart Backoffice v6.0.0"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/material-translations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
